<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
</head>
<body>
<div th:fragment="header">
    <header class="header-style-3">
        <div class="header-1st-row">
            <div class="container" id="breaking">
                <div class="breaking-news-column" id="breakingNews">
                    <strong id="latestStrong">Latest News:</strong>
                        <div  id="news" style="font-weight: bold;background: transparent;color: whitesmoke">

                        </div>
                </div>
            </div>
        </div>
        <div class="header-2st-row ">
            <div class="container">
                <div class="pull-left">
                    <div class="social-icons">
                        <strong>FOLLOW US:</strong>
                        <ul>
                            <li><a href="https://facebook.com/"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
                            <li><a href="http://twitter.com/"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
                            <li><a href="https://www.linkedin.com/"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
                            <li><a href="https://www.youtube.com/"><i class="fa fa-youtube" aria-hidden="true"></i></a></li>
                        </ul>
                    </div>
                </div>
                <div class="center-logo">
                    <div class="logo">
                        <h1><a href="/"><img class="logo-light" src="/images/logo-light.png" alt="logo here"><img class="logo-drak" src="/images/logo-dark.png" alt="logo here"></a></h1>
                    </div>
                </div>
                <div class="pull-right">
                    <ul class="playlist_menu_bar">
                        <li><a href="/mp3-list.html" class=""><i class="icon-music"></i></a></li>
                        <li><a href="/user/profile"><i class="fa fa-user-circle"></i></a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="header-2st-row align-center-nav">
            <div class="container">
                <div class="fst-navigation">
                    <nav class="navigation-1">
                        <ul>
                            <li sec:authorize="isAuthenticated()" class="menu-item">
                                Hello, <span th:text="${#authentication.name}"> </span>!
                            </li>
                            <li class="menu-item"><a href="/">Home</a>
                            </li>
                            <li><a sec:authorize="isAuthenticated()" th:href="@{'/user/profile'}">Profile</a>
                            </li>
                            <li class="menu-item ">
                                <a sec:authorize="isAuthenticated()" th:href="@{/user/playlists}">My Playlists</a>
                            </li>
                            <li><a href="/playlists/all">All Playlists</a></li>
                            <li sec:authorize="hasRole('ADMIN')" class="menu-item">
                                <a href="#">Admin Panel</a>
                                <ul class="sub-menu children">
                                    <li>
                                        <a th:href="@{/admin/users/}">Edit Users</a>
                                    </li>
                                    <li>
                                        <a th:href="@{/admin/playlists/}">Edit Playlists</a>
                                    </li>
                                    <li>
                                        <a th:href="@{/admin/sync_genres/}">Sync Genres</a>
                                    </li>
                                </ul>
                            </li>
                            </li>
                            <li><a sec:authorize="!isAuthenticated()" th:href="@{/login}">Log in</a></li>
                            <li><a sec:authorize="!isAuthenticated()" th:href="@{/registration}">Register</a></li>
                            <li><a sec:authorize="isAuthenticated()" th:href="@{/logout}">Log out</a></li>

                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </header>
</div>
</body>